import request from "@/scripts/httpRequest";

// 检索页面数据列表
export const getSearchList = (query: any) => {
  return request({
    url: "/data/api-v/es/esSearch",
    method: "post",
    data: query
  });
};

// 以图搜图
export const findPersonByPic = (query: any) => {
  return request({
    url: "/data/api-v/dbperson/searchByPhoto",
    method: "post",
    data: query
  });
};

// 检索页面标签查询
export const getTagList = (query: any) => {
  return request({
    url: "/data/api-v/es/tagList",
    method: "post",
    data: query
  });
};

// 检索页面任务列表查询
export const getTaskList = (query: any) => {
  return request({
    url: "/data/api-v/task/aggregateTaskList",
    method: "get",
    params: query
  });
};

// 字典查询（布防等级）
export const getAlarmLevel = (query: any) => {
  return request({
    url: "/saas/api-s/dictionary/findByType",
    method: "get",
    data: query
  });
};

// 
export const findPerson = (query: any) => {
  return request({
    url: "/data/api-v/es/queryEsCompareData",
    method: "post",
    data: query
  });
};
// 加入底库
export const addToBase = (query: any) => {
  return request({
    url: "/data/api-v/dbperson/joinDbTable",
    method: "post",
    data: query
  });
};